Bug 1414050 - Fail to execute tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps
Summary: Fail to execute tempest.scenario.test_security_groups_basic_ops.TestSecurityG...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 10.0 (Newton)
Assignee: Michal Pryc
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 15:46 UTC by Arie Bregman
Modified: 2019-09-09 16:01 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 19:04:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gerrithub.io 344812 0 None None None 2017-01-25 21:20:50 UTC

Description Arie Bregman 2017-01-17 15:46:49 UTC
Description of problem:

Fail to execute the following tempest tests:

tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps.test_in_tenant_traffic
tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps.test_cross_tenant_traffic

Version-Release number of selected component (if applicable):

openstack-nova-cert-14.0.3-1.el7ost.noarch
openstack-nova-common-14.0.3-1.el7ost.noarch
openstack-nova-compute-14.0.3-1.el7ost.noarch
openstack-nova-conductor-14.0.3-1.el7ost.noarch
openstack-nova-console-14.0.3-1.el7ost.noarch
openstack-nova-novncproxy-14.0.3-1.el7ost.noarch
openstack-nova-scheduler-14.0.3-1.el7ost.noarch
python-nova-14.0.3-1.el7ost.noarch
python-novaclient-6.0.0-1.el7ost.noarch

How reproducible: 93%

Steps to Reproduce:
1. Deploy RHOSP 10 HA (3 controllers, 2 compute) in OVB environment
2. Run tempest tests

Actual results: Failed to execute successfully the above tests.


Expected results: Tests passed successfully


Additional info: Deployed in OVB environment

Comment 6 Michal Pryc 2017-02-03 19:04:58 UTC
The issue was in the octario project and not the nova one.

Tempest was configured in Triple-O environment with default list of filters, while same list of used filters from Triple-O should be used to configure tempest instead.

Octario was improperly parsing the list of active filters, when the list was empty on OSP7, so the following work around was applied ( unfortunately it was applied for all neutron tempest jobs including OSP10 which affected tests described in this bug report ):

https://review.gerrithub.io/307293


Fixing filters parser as part of the following review allows to remove work around and fix the tests:

https://review.gerrithub.io/344812


Note You need to log in before you can comment on or make changes to this bug.